# Gnome::GdaUI::RawGrid Class Reference

RawGrid - Grid widget to manipulate data in a Gnome::Gda::DataModel. More...

Inherits Gtk::TreeView, Gnome::GdaUI::DataSelector, and Gnome::GdaUI::DataProxy.

Collaboration diagram for Gnome::GdaUI::RawGrid:
[legend]

List of all members.

## Public Member Functions

virtual | ~RawGrid ()
GdauiRawGrid* | gobj ()
| Provides access to the underlying C GtkObject.
const GdauiRawGrid* | gobj () const
| Provides access to the underlying C GtkObject.
| RawGrid (const Glib::RefPtr< Gnome::Gda::DataModel >& model)
| Creates a new Gdaui::RawGrid widget suitable to display the data in model.
void | set_sample_size (int sample_size)
void | set_sample_start (int sample_start)
void | set_layout_from_file (const std::string& file_name, const Glib::ustring& grid_name)
| Sets a grid's columns layout according an XML description contained in file_name, for the grid identified by the grid_name name (as an XML layout file can contain the descriptions of several forms and grids).
Glib::SignalProxy1< void, int > | signal_double_clicked ()
Glib::SignalProxy1< void, Gtk::Menu* > | signal_populate_popup ()
Glib::PropertyProxy< bool > | property_global_actions_visible ()
| Global Actions visible.
Glib::PropertyProxy_ReadOnly < bool > | property_global_actions_visible () const
| Global Actions visible.
Glib::PropertyProxy< bool > | property_info_cell_visible ()
| Info cell visible.
Glib::PropertyProxy_ReadOnly < bool > | property_info_cell_visible () const
| Info cell visible.
Glib::PropertyProxy < Glib::RefPtr < Gnome::Gda::DataModel > > | property_model ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr < Gnome::Gda::DataModel > > | property_model () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Protected Member Functions

virtual void | on_double_clicked (int row)
virtual void | on_populate_popup (Gtk::Menu* menu)

## Related Functions

(Note that these are not member functions.)
Gnome::GdaUI::RawGrid* | wrap (GdauiRawGrid* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

RawGrid - Grid widget to manipulate data in a Gnome::Gda::DataModel.

## Constructor & Destructor Documentation

virtual Gnome::GdaUI::RawGrid::~RawGrid | ( |  | ) | `[virtual]`

Gnome::GdaUI::RawGrid::RawGrid | ( | const Glib::RefPtr< Gnome::Gda::DataModel > & | model | ) | `[explicit]`

Creates a new Gdaui::RawGrid widget suitable to display the data in model.

Parameters:

  | model | A Gda::DataModel.

Returns:
  The new widget

Since libgda-uimm 4.2:

## Member Function Documentation

const GdauiRawGrid* Gnome::GdaUI::RawGrid::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::TreeView.

GdauiRawGrid* Gnome::GdaUI::RawGrid::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::TreeView.

virtual void Gnome::GdaUI::RawGrid::on_double_clicked | ( | int | row | ) | `[protected, virtual]`

virtual void Gnome::GdaUI::RawGrid::on_populate_popup | ( | Gtk::Menu * | menu | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<bool> Gnome::GdaUI::RawGrid::property_global_actions_visible | ( |  | ) | const

Global Actions visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gnome::GdaUI::RawGrid::property_global_actions_visible | ( |  | ) |

Global Actions visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gnome::GdaUI::RawGrid::property_info_cell_visible | ( |  | ) | const

Info cell visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gnome::GdaUI::RawGrid::property_info_cell_visible | ( |  | ) |

Info cell visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gnome::Gda::DataModel> > Gnome::GdaUI::RawGrid::property_model | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gtk::TreeView.

Glib::PropertyProxy< Glib::RefPtr<Gnome::Gda::DataModel> > Gnome::GdaUI::RawGrid::property_model | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gtk::TreeView.

void Gnome::GdaUI::RawGrid::set_layout_from_file | ( | const std::string & | file_name,
|  | const Glib::ustring & | grid_name |
| ) |  |  |

Sets a grid's columns layout according an XML description contained in file_name, for the grid identified by the grid_name name (as an XML layout file can contain the descriptions of several forms and grids).

Since libgda-uimm 4.2:

Parameters:

  | file_name | XML file name to use.
  | grid_name | The name of the grid to use, in file_name.

void Gnome::GdaUI::RawGrid::set_sample_size | ( | int | sample_size | ) |

Since libgda-uimm 4.2:

void Gnome::GdaUI::RawGrid::set_sample_start | ( | int | sample_start | ) |

Since libgda-uimm 4.2:

Glib::SignalProxy1< void,int > Gnome::GdaUI::RawGrid::signal_double_clicked | ( |  | ) |

Prototype:
  `void on_my_double_clicked(int row)`

Glib::SignalProxy1< void,Gtk::Menu* > Gnome::GdaUI::RawGrid::signal_populate_popup | ( |  | ) |

Prototype:
  `void on_my_populate_popup(Gtk::Menu* menu)`

## Friends And Related Function Documentation

Gnome::GdaUI::RawGrid* wrap | ( | GdauiRawGrid * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgda-uimm/rawgrid.h